Ocena wątku:
  • 0 Głosów - 0 Średnio
  • 1
  • 2
  • 3
  • 4
  • 5
Nie można wczytać wtyczki 'processing'
21-10-2020, 14:26,
#1
Nie można wczytać wtyczki 'processing'
Po dzisiejszej aktualizacji QGis (3.14.16, windows 10, instalator sieciowy OSGeo4W) przestały mi działać niektóre wtyczki, m.in. Processing.
Nie pomaga reinstalacja. Może ktoś coś wyczyta z tego błędu:
Cytat:Nie można wczytać wtyczki 'processing'
ModuleNotFoundError: No module named '_osr'
Traceback (most recent call last):
  File "C:\OSGEO4~1\apps\Python37\lib\site-packages\osgeo\osr.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\OSGEO4~1\apps\Python37\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "", line 1006, in _gcd_import
  File "", line 983, in _find_and_load
  File "", line 967, in _find_and_load_unlocked
  File "", line 670, in _load_unlocked
  File "", line 583, in module_from_spec
  File "", line 1043, in create_module
  File "", line 219, in _call_with_frames_removed
ImportError: DLL load failed: Nie można odnaleźć określonej procedury.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 312, in loadPlugin
    __import__(packageName)
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 792, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\__init__.py", line 35, in
    from processing.tools.raster import *  # NOQA
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 792, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\tools\raster.py", line 26, in
    from osgeo import gdal
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 792, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\OSGEO4~1\apps\Python37\lib\site-packages\osgeo\gdal.py", line 1756, in
    import osgeo.ogr
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 792, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\OSGEO4~1\apps\Python37\lib\site-packages\osgeo\ogr.py", line 260, in
    import osgeo.osr
  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 792, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\OSGEO4~1\apps\Python37\lib\site-packages\osgeo\osr.py", line 17, in
    _osr = swig_import_helper()
  File "C:\OSGEO4~1\apps\Python37\lib\site-packages\osgeo\osr.py", line 16, in swig_import_helper
    return importlib.import_module('_osr')
  File "C:\OSGEO4~1\apps\Python37\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_osr'


Wersja Pythona: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]
Wersja QGIS: 3.14.16-Pi Pi, df27394552
Lokalizacja Pythona:
  • C:/OSGEO4~1/apps/qgis/./python
  • C:/Users/Mirek/AppData/Roaming/QGIS/QGIS3\profiles\default/python
  • C:/Users/Mirek/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
  • C:/OSGEO4~1/apps/qgis/./python/plugins
  • C:\OSGEO4~1\apps\Python37
  • C:\OSGEO4~1\apps\Python37\Scripts
  • C:\OSGeo4W64\bin\python37.zip
  • C:\OSGEO4~1\apps\Python37\DLLs
  • C:\OSGEO4~1\apps\Python37\lib
  • C:\OSGeo4W64\bin
  • C:\OSGEO4~1\apps\Python37\lib\site-packages
  • C:/Users/Mirek/AppData/Roaming/QGIS/QGIS3\profiles\default/python
21-10-2020, 18:05,
#2
RE: Nie można wczytać wtyczki 'processing'
https://gis.stackexchange.com/questions/...er-plugins

Strzelam, ze coś z pythonem - zainstaluj może wszystkie paczki pythonowe jakie są w OSGeo i sprawdź, czy to pomoże
21-10-2020, 19:30,
#3
RE: Nie można wczytać wtyczki 'processing'
Widzę że nie to świeża sprawa i nie tylko ja mam ten problem.
27-10-2020, 10:07,
#4
RE: Nie można wczytać wtyczki 'processing'
Dla porządku - aktualizacja do 3.16.0 Hannover wszystko naprawiła. Wtyczki u mnie działają.


Podobne wątki
Wątek: Autor Odpowiedzi: Wyświetleń: Ostatni post
  Wtyczki w 3.4 polar 2 5 723 19-02-2019, 09:39
Ostatni post: polar
  Czy można zautomatyzować funkcję Przytnij georobot 4 10 757 26-10-2017, 00:10
Ostatni post: georobot
  Czy można podpiąć WMSa z linku (link w wiadomości) do QGIS? karliTToO 7 27 875 16-10-2015, 08:37
Ostatni post: karliTToO
  Wtyczki: Easy AHP, Geospatial Simulation beata90 1 11 574 03-07-2015, 14:12
Ostatni post: koberek
  Błąd wtyczki MetaSearch (błąd pythona) norek_norek 0 8 575 02-01-2015, 10:28
Ostatni post: norek_norek
  ustawienia wtyczki "optymalna droga" w QGIS 2.2 sologpio 2 13 091 21-07-2014, 14:17
Ostatni post: sologpio
  Dostępność wtyczki Open Layers w repozytoriach? nieznany 4 20 455 18-02-2014, 15:42
Ostatni post: martinbb
  instalacja wtyczki andy 7 41 397 09-03-2012, 01:54
Ostatni post: arepo
  Jak wczytać tajemnicze współrzędne? tomalos 8 32 547 05-01-2011, 22:39
Ostatni post: tomalos
  "Nie mogę wczytać warstwy"... ani projektu tomalos 2 17 253 05-01-2011, 08:50
Ostatni post: tomalos

Skocz do: